Bug 457926 - (python-wikimarkup) Review Request: python-wikimarkup - Python module to format text to Mediawiki syntax
Review Request: python-wikimarkup - Python module to format text to Mediawiki...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 11:03 EDT by Soumya Kanti Chakraborty
Modified: 2008-12-21 18:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 10:51:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Soumya Kanti Chakraborty 2008-08-05 11:03:40 EDT
Spec URL: http://soumya.fedorapeople.org/python-wikimarkup.spec
SRPM URL: http://soumya.fedorapeople.org/python-wikimarkup-1.01-1.fc9.src.rpm

Description: It is a python module which formats text to Mediawiki                                                        (http://meta.wikimedia.org/wiki/Help:Editing) syntax. More information on this module available at http://code.google.com/p/wikimarkup/
Comment 1 Soumya Kanti Chakraborty 2008-08-05 16:57:29 EDT
Updated the Group tag in SPEC file 

Spec URL: http://soumya.fedorapeople.org/python-wikimarkup.spec
SRPM URL: http://soumya.fedorapeople.org/python-wikimarkup-1.01-2.fc9.src.rpm

The new SPEC and SRPM.
Comment 2 Soumya Kanti Chakraborty 2008-08-06 11:44:04 EDT
This is my First package and I am seeking for a sponsor.
Comment 3 Parag AN(पराग) 2008-08-07 03:26:11 EDT
First you should look into
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

You need to do 2 things
1) submit some more packages with enough packaging quality.
2) start doing pre-reviews of packages from queue
http://fedoraproject.org/PackageReviewStatus/NEW.html
  Note that as you are not sponsored yet, you should only do unoffcial
pre-reviews where you only comments review and can not able to accept package.
  This will ensure that you have got sufficient understanding of rpm packaging
and also review process.
  Don't forget to comment bug numbers here when you do some pre-reviews.

Take help of following links while posting reviews.
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
Comment 4 Parag AN(पराग) 2008-08-07 04:04:13 EDT
one more thing,
   I am not committing here that I am going to SPONSOR you. I just gave directions. So you can search for other sponsors also.
Comment 5 Mamoru TASAKA 2008-09-29 13:41:46 EDT
Would you update your srpm like bug 459010?

- At least __init_py{,c,o} needs to be installed
- License tag should be "GPLv3+".
- For versioning, please refer to
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages
  Also I recommend to add rev number to source tarball name.
Comment 6 Soumya Kanti Chakraborty 2008-09-30 15:14:17 EDT
(In reply to comment #5)
> Would you update your srpm like bug 459010?
> 
> - At least __init_py{,c,o} needs to be installed
> - License tag should be "GPLv3+".
> - For versioning, please refer to
>   https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages
>   Also I recommend to add rev number to source tarball name.

Hi Mamoru

Thanks for guiding me. I had some questions 

1) Should I install the __init__.py in %install section. I am new to packaging  so I had a doubt in what you wrote __init_py{,c,o}
2) The revision number to the Source tarball I downloaded should be added right ?

Thanks for helping me again..
Comment 7 Parag AN(पराग) 2008-10-01 03:26:20 EDT
as this is python package, you should also look at https://fedoraproject.org/wiki/Packaging/Python
Comment 8 Parag AN(पराग) 2008-10-01 03:46:09 EDT
I see empty build section in spec. your %build should be
%{__python} setup.py build
and %files section should be like this
%defattr(-,root,root,-)
%{python_sitelib}/*

Also, update SPEC with how to create tarball from upstream site. I see you included wrong URL to svn checkout in spec.
Comment 9 Mamoru TASAKA 2008-10-01 14:00:48 EDT
(In reply to comment #6)
> 1) Should I install the __init__.py in %install section. I am new to packaging 
> so I had a doubt in what you wrote __init_py{,c,o}

  - The reply from Parag will solve this issue. 
    By the way a python skeleton spec file created by rpmdev-newspec says:
----------------------------------------------------------------------
# Remove CFLAGS=... for noarch packages (unneeded)
----------------------------------------------------------------------
    This says that for noarch packages the following line should be
----------------------------------------------------------------------
%{__python} setup.py build
----------------------------------------------------------------------
    as Parag replied (i.e. the part CFLAGS=... should be dropped)

> 2) The revision number to the Source tarball I downloaded should be added right
> ?

  - There doesn't seem to exist any released tarball. You created tarball
    by pulling codes from svn repository and packaging them by using tar (perhaps).
    In such case also adding revison number to tarball is highly preferred.
Comment 10 Mamoru TASAKA 2008-10-08 03:18:30 EDT
ping?
Comment 11 Mamoru TASAKA 2008-10-09 22:31:38 EDT
(The submitter replied to me that currently he has trouble in accessing to internet
 and will provide a new srpm within 4-5 days)
Comment 12 Soumya Kanti Chakraborty 2008-10-20 15:02:37 EDT
(In reply to comment #11)
> (The submitter replied to me that currently he has trouble in accessing to
> internet
>  and will provide a new srpm within 4-5 days)

The New SRPM and SPEC file :-

Spec URL: http://soumya.fedorapeople.org/python-wikimarkup.spec
SRPM URL: http://soumya.fedorapeople.org/python-wikimarkup-1.01-5svn.fc9.src.rpm
Comment 13 Mamoru TASAKA 2008-10-23 03:13:27 EDT
For -5svn:

Almost okay.

* Versioning of rpm
  - Please follow
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

    The EVR (Epoch-Version-Release) of this rpm should be
    1.1-X.YYYsvn%{?dist}, for example, where X is fedora specific release
    number and YYY is the revision number of svn repository.

* Macros in comments
  - For this package there is no problem, however please use
    %% (instead of single %) in comments or in %changelog to
    prevent macros from being expanded, like
-----------------------------------------------------------
# %%{python_sitearch}/*
-----------------------------------------------------------
    (By the way I think this comment line and the above comment
     line can simply be removed).
Comment 14 Mamoru TASAKA 2008-10-30 12:38:38 EDT
ping?
Comment 15 Soumya Kanti Chakraborty 2008-10-31 00:41:36 EDT
(In reply to comment #14)
> ping?

I am out of town and will work on this bug after I am come back. Please give me
few days.
Comment 16 Mamoru TASAKA 2008-10-31 09:52:55 EDT
Okay, thank you for reply.
Comment 17 Mamoru TASAKA 2008-11-01 12:07:16 EDT
(Removing NEEDSPONSOR)
Comment 18 Soumya Kanti Chakraborty 2008-11-01 12:57:52 EDT
(In reply to comment #16)
> Okay, thank you for reply.

The New SRPM and SPEC file :-

Spec URL: http://soumya.fedorapeople.org/python-wikimarkup.spec
SRPM URL: 
http://soumya.fedorapeople.org/python-wikimarkup-1.01-3.005svn.fc9.src.rpm
Comment 19 Mamoru TASAKA 2008-11-01 14:15:45 EDT
---------------------------------------------------------------------
     This package (python-wikimarkup) is APPROVED by mtasaka
---------------------------------------------------------------------

As I wrote in bug 459010, please follow "Join" wiki.
Comment 20 Mamoru TASAKA 2008-11-12 11:42:41 EST
ping?
Comment 21 Soumya Kanti Chakraborty 2008-11-13 12:38:38 EST
New Package CVS Request
=======================
Package Name: python-wikimarkup
Short Description: It is a python module which formats text to Mediawiki
Owners: soumya
Branches: F-9
InitialCC: soumya
Comment 22 Soumya Kanti Chakraborty 2008-11-13 13:31:51 EST
New Package CVS Request
=======================
Package Name: python-wikimarkup
Short Description: It is a python module which formats text to Mediawiki
Owners: soumya
Branches: F-9 F-10
InitialCC: soumya
Comment 23 Kevin Fenzi 2008-11-14 00:38:30 EST
cvs done.
Comment 24 Mamoru TASAKA 2008-11-21 11:53:10 EST
Please submit push requests for F-10/9/8 on bodhi:
https://admin.fedoraproject.org/updates/
Comment 25 Mamoru TASAKA 2008-11-21 11:54:45 EST
Please submit push requests for F-10/9/8 on bodhi:
https://admin.fedoraproject.org/updates/
Comment 26 Mamoru TASAKA 2008-11-21 11:55:10 EST
Sorry for duplicate comments...
Comment 27 Soumya Kanti Chakraborty 2008-11-21 16:29:33 EST
I don't have any branch as F-8 in cvs ? what do do ?
Comment 28 Jason Tibbitts 2008-11-21 16:59:30 EST
You did not request an F-8 branch.  Obviously if you don't want your package to go into F-8 then you should just push it to F-9 and F-10.  If you do want an F-8 branch, make another CVS request and set the fedora-cvs flag back to '?'.
Comment 29 Mamoru TASAKA 2008-11-22 10:29:55 EST
Ah, sorry. You can ignore for F-8 branch. So please submit
push request for F-10/9.
Comment 30 Fedora Update System 2008-11-22 13:40:27 EST
python-wikimarkup-1.01-3.005svn.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-wikimarkup-1.01-3.005svn.fc9
Comment 31 Fedora Update System 2008-11-22 13:40:31 EST
python-wikimarkup-1.01-3.005svn.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-wikimarkup-1.01-3.005svn.fc10
Comment 32 Mamoru TASAKA 2008-11-23 10:51:49 EST
Okay, now Closing as NEXTRELEASE. 

When you think F-9/10 packages can be
moved from testing to stable, please revisit bodhi and edit (modify) your
push requests.
Comment 33 Fedora Update System 2008-12-21 18:40:22 EST
python-wikimarkup-1.01-3.005svn.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2008-12-21 18:40:43 EST
python-wikimarkup-1.01-3.005svn.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.